S3 Delete Bucket Encryption
    • Dark
      Light

    S3 Delete Bucket Encryption

    • Dark
      Light

    Article summary

    DELETEhttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?encryption

    Deletes the explicit bucket encryption configuration and resets the bucket to the Backblaze B2 default of SSE-B2 with AES256. This operation does not disable encryption. New uploads continue to use SSE-B2 unless valid SSE-C headers are supplied. This operation requires permission to write bucket encryption configuration.

    A successful request returns 204 No Content. A subsequent GetBucketEncryption request returns AES256.

    AUTHORIZATION AWS Signature

    This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

    PARAMS

    encryption

    Must be present to delete bucket encryption configuration

    PATH VARIABLES

    bucket

    Required. The name of the bucket

    Example Request

    curl --location --request DELETE 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?encryption=null'

    Example Response

    204 NO CONTENT

    Body

    No response body

    This request doesn't return any response body


    Headers (9)

    x-amz-request-id

    699c79d678ac85eb

    x-amz-id-2

    aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

    Cache-Control

    max-age=0, no-cache, no-store

    Content-Type


    Date

    Fri, 28 Jan 2022 22:46:26 GMT

    Keep-Alive

    timeout=5

    Connection

    keep-alive







    Was this article helpful?